Create Action Items Batch
curl --request POST \
--url https://api.omi.me/v1/dev/user/action-items/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action_items": [
{
"description": "<string>",
"completed": false,
"due_at": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.omi.me/v1/dev/user/action-items/batch"
payload = { "action_items": [
{
"description": "<string>",
"completed": False,
"due_at": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_items: [{description: '<string>', completed: false, due_at: '2023-11-07T05:31:56Z'}]
})
};
fetch('https://api.omi.me/v1/dev/user/action-items/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action_items": [
{
"completed": true,
"description": "<string>",
"id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_count": 123
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Action Items
Create Action Items (Batch)
Create multiple action items in a batch.
- action_items: List of action items to create (max 50)
POST
/
v1
/
dev
/
user
/
action-items
/
batch
Create Action Items Batch
Authorizations
Send Authorization: Bearer <firebase_id_token>.
Body
application/json
List of action items to create
Maximum array length:
50Show child attributes
Show child attributes
⌘I